#!/usr/bin/env python


try:
    import pygtk
    pygtk.require("2.0")
except:
    pass

try:
    import gtk
    import gtk.glade
except:
    print "You need to install pygtk and gtk V2"


import pacdrive

class pacgui:
   
    def __init__(self):
        self.gladefile = "pacgui.glade"
        winname = "MainWindow"
        self.wTree = gtk.glade.XML(self.gladefile, winname)

        signals = {
                    "led_toggled"     :  self.led_toggled,
                    "destroy"         :  self.cleanup,
                  }

        self.wTree.signal_autoconnect(signals)

        main_win = self.get_widget(winname)
        main_win.show()

        self.pd = pacdrive.pacdrive("external")
        self.pd.init()
        self.pd.set_led_state(0)


    def cleanup(self, widget):
        #TODO: connect this to destroy
        pd.cleanup()

    def get_widget(self, name):
        retval = None
        if self.wTree != "":
            retval = self.wTree.get_widget(name)
        return retval

    def led_toggled(self, widget):
        name = widget.name
        idx = 1
        while ((idx < len(name)) and 
               (name[idx * -1:] >= '0') and
               (name[idx * -1:] <= '9')):
            idx += 1

        idx -= 1 
        num = int(name[idx * -1:])

        self.pd.set_single_led(num, widget.get_active())


app = pacgui()
gtk.main()
