
#include "ipac_prog.h"

int main(int argc, char **argv) 
{

  struct usb_device *ipac_arr[4];
  int res;
  usb_dev_handle *ipac_hdl;

  ipac_arr[0] = 0;
  ipac_arr[1] = 0;
  ipac_arr[2] = 0;
  ipac_arr[3] = 0;

  res = find_ipacs(ipac_arr, 1);

  usb_set_debug(0xFF);

  ipac_hdl = usb_open(ipac_arr[0]);
  printf("mine: handle: 0x%x\n", ipac_hdl);
  if (ipac_hdl == NULL) {
     printf("failed to open the stinkin ipac\n");
     usb_close(ipac_hdl);
     exit(1);
  }

  usb_detach_kernel_driver_np(ipac_hdl, 0);
  res = usb_claim_interface(ipac_hdl, 0);
  printf("Claim result: %d\n", res);


  printf("Sending 0xFF\n");
  send_LED(ipac_hdl, 0x00, 0x00);
  printf("Sending 0x00\n");
  send_LED(ipac_hdl, 0x00, 0x00);
  res = usb_release_interface(ipac_hdl, 0);
  printf("Release result: %d\n", res);
  usb_close(ipac_hdl);

}
