/*************************************************************************
 * TLV 02/18/2002                                                        *
 *************************************************************************/


#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>


#define PRINT_ALWAYS  2
#define PRINT_NORMAL  1
#define PRINT_VERBOSE 0

#define VERBOSE_VERBOSE 2
#define VERBOSE_NORMAL  1
#define VERBOSE_QUIET   0

#define TRUE 1
#define FALSE 0

void set_debug_level(int level);

/* print with verbosity */
void printv(int trigger, char *fmt, ...);

/* Print to log */
void printl(int trigger, char *fmt, ...);

void openlog(char *filename);
void closelog(void);

/* print error */
void printe(char *fmt, ...);

void clean_exit(int code);
